---
Style/NumberedParameters:
  Details: grace period
  Exclude:
    - 'app/controllers/concerns/web_hooks/hook_actions.rb'
    - 'app/controllers/graphql_controller.rb'
    - 'app/controllers/import/bulk_imports_controller.rb'
    - 'app/graphql/types/base_field.rb'
    - 'app/graphql/types/current_user_todos.rb'
    - 'app/graphql/types/design_management/design_fields.rb'
    - 'app/helpers/colors_helper.rb'
    - 'app/helpers/hooks_helper.rb'
    - 'app/models/active_session.rb'
    - 'app/models/bulk_imports/entity.rb'
    - 'app/models/concerns/integrations/reset_secret_fields.rb'
    - 'app/models/hooks/web_hook.rb'
    - 'app/models/integration.rb'
    - 'app/models/integrations/clickup.rb'
    - 'app/models/integrations/datadog.rb'
    - 'app/models/integrations/youtrack.rb'
    - 'app/models/project.rb'
    - 'app/services/import/gitlab_projects/create_project_service.rb'
    - 'app/services/merge_requests/update_service.rb'
    - 'app/services/packages/rpm/parse_package_service.rb'
    - 'app/services/packages/rpm/repository_metadata/update_xml_service.rb'
    - 'app/services/web_hooks/log_execution_service.rb'
    - 'ee/app/models/ee/project.rb'
    - 'ee/app/models/security/finding.rb'
    - 'ee/app/models/vulnerabilities/feedback.rb'
    - 'ee/app/services/security/ingestion/tasks/hooks_execution.rb'
    - 'ee/app/services/security/ingestion/tasks/ingest_remediations.rb'
    - 'ee/app/services/security/store_findings_service.rb'
    - 'ee/lib/ee/gitlab/quick_actions/users_extractor.rb'
    - 'ee/spec/lib/gitlab/quick_actions/users_extractor_spec.rb'
    - 'ee/spec/models/vulnerabilities/statistic_spec.rb'
    - 'ee/spec/services/quick_actions/interpret_service_spec.rb'
    - 'ee/spec/services/security/ingestion/tasks/ingest_remediations_spec.rb'
    - 'lib/api/entities/hook.rb'
    - 'lib/api/helpers/web_hooks_helpers.rb'
    - 'lib/api/hooks/url_variables.rb'
    - 'lib/error_tracking/sentry_client/issue.rb'
    - 'lib/error_tracking/sentry_client/projects.rb'
    - 'lib/error_tracking/sentry_client/repo.rb'
    - 'lib/feature.rb'
    - 'lib/gitlab/color.rb'
    - 'lib/gitlab/error_tracking/error_repository/open_api_strategy.rb'
    - 'lib/gitlab/github_import/representation/issue.rb'
    - 'lib/gitlab/pagination/keyset/order.rb'
    - 'lib/gitlab/quick_actions/users_extractor.rb'
    - 'lib/gitlab/safe_request_loader.rb'
    - 'lib/gitlab/usage_data_counters/ci_template_unique_counter.rb'
    - 'lib/gitlab/zentao/client.rb'
    - 'lib/gitlab_edition.rb'
    - 'lib/tasks/gitlab/usage_data.rake'
    - 'rubocop/check_graceful_task.rb'
    - 'rubocop/cop/gitlab/namespaced_class.rb'
    - 'rubocop/cop/graphql/enum_values.rb'
    - 'rubocop/formatter/graceful_formatter.rb'
    - 'spec/graphql/resolvers/concerns/resolves_ids_spec.rb'
    - 'spec/graphql/types/board_list_type_spec.rb'
    - 'spec/graphql/types/current_user_todos_type_spec.rb'
    - 'spec/lib/bulk_imports/groups/stage_spec.rb'
    - 'spec/lib/bulk_imports/projects/stage_spec.rb'
    - 'spec/lib/gitlab/import_export/json/streaming_serializer_spec.rb'
    - 'spec/lib/gitlab/quick_actions/users_extractor_spec.rb'
    - 'spec/lib/gitlab/web_hooks/recursion_detection_spec.rb'
    - 'spec/lib/gitlab/zentao/client_spec.rb'
    - 'spec/models/bulk_imports/entity_spec.rb'
    - 'spec/models/hooks/web_hook_spec.rb'
    - 'spec/models/integration_spec.rb'
    - 'spec/requests/api/graphql/mutations/issues/set_crm_contacts_spec.rb'
    - 'spec/requests/api/graphql/project/merge_request_spec.rb'
    - 'spec/requests/api/groups_spec.rb'
    - 'spec/requests/recursive_webhook_detection_spec.rb'
    - 'spec/rubocop/cop/file_decompression_spec.rb'
    - 'spec/services/packages/rpm/repository_metadata/build_filelist_xml_service_spec.rb'
    - 'spec/services/web_hook_service_spec.rb'
    - 'spec/support/helpers/graphql_helpers.rb'
    - 'spec/support/matchers/exceed_query_limit.rb'
    - 'spec/support/shared_contexts/lib/sbom/package_url_shared_contexts.rb'
    - 'spec/support/shared_examples/integrations/integration_settings_form.rb'
    - 'spec/support/shared_examples/requests/api/hooks_shared_examples.rb'
    - 'spec/support_specs/helpers/active_record/query_recorder_spec.rb'
